﻿using System;
using System.Threading.Tasks;
using InternshipSystem.Api.Queries;
using InternshipSystem.Repository;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace InternshipSystem.Api.Controllers
{
    public class DocumentsController : ControllerBase
    {
        private InternshipDbContext Context { get; }

        public DocumentsController(InternshipDbContext context)
        {
            Context = context;
        }

        /// <summary>
        /// Fill out required document, 
        /// </summary>
        /// <param name="document">Documents Scan and description, and Id of filled document</param>
        /// <returns></returns>
        /// <response code="200">If change was successfully registered</response>
        /// <response code="400">If the provided query was malformed</response>
        /// <response code="404">Id doesn't match any required document</response>
        /// <response code="401">This action is only available for authorized student registered for current edition</response>
        [HttpPost]
        [ProducesResponseType(StatusCodes.Status200OK)]
        [ProducesResponseType(StatusCodes.Status400BadRequest)]
        [ProducesResponseType(StatusCodes.Status404NotFound)]
        [ProducesResponseType(StatusCodes.Status401Unauthorized)]
        public async Task<ActionResult> AddDocumentToInternship([FromBody] DocumentPublishRequest document) =>
            throw new NotImplementedException();
    }
}